# Originally imported from AUR/Gentoo
# https://aur.archlinux.org/packages/coolreader/

%define		shortname	cr3

Name:		coolreader
Version:	3.1.2.71
Release:	%mkrel 1
Summary:	Free e-book reader
Group:		Office
License:	GPLv2
# https://dev.gentoo.org/~grozin/coolreader-3.1.2.71.tar.bz2
Source0:	%name-%{version}.tar.xz
Source1:	%{shortname}.png
# imported from aur
Patch0:		%name-fix-ini.patch
Patch1:		%name-%version-r1_qt5_wx.patch
Patch2:		%name-lvstsheet.patch
# cosmetic one
Patch3:		%name-%version-qtversion.patch
URL:		https://sourceforge.net/projects/crengine/files/CoolReader3/
BuildRequires:	gcc-c++
BuildRequires:	cmake
BuildRequires:	qt5-devel
BuildRequires:	libjpeg-devel
BuildRequires:	fontconfig-devel
BuildRequires:	libpng-devel
BuildRequires:	zlib-devel

%description
CoolReader is fast and small cross-platform XML/CSS based E-Book reader for desktops
and handheld devices. Supported formats: FB2, TXT, RTF, DOC, TCR, HTML, EPUB, CHM,
PDB. Platforms: Win32, Linux, Android. Ported on some eInk based devices.

%prep
%setup -q
%apply_patches
sed -i 's|<freetype/|<freetype2/freetype/|' crengine/src/lvfntman.cpp

%build
mkdir build
cd build
cmake -DGUI=QT5 \
	-DCMAKE_INSTALL_PREFIX=/usr \
	-DCMAKE_BUILD_TYPE=Release \
	-DMAX_IMAGE_SCALE_MUL=2 \
	-DDOC_DATA_COMPRESSION_LEVEL=3 \
	-DDOC_BUFFER_SIZE=0x2500000 \
	-DUSE_UNRAR=1 ..

%make

%install
rm -rf $RPM_BUILD_ROOT
cd build
make DESTDIR=$RPM_BUILD_ROOT install

rm -f $RPM_BUILD_ROOT/%{_datadir}/pixmaps/%{shortname}.png
install -Dpm 0644 %SOURCE1 $RPM_BUILD_ROOT/%{_datadir}/pixmaps/%{shortname}.png

%files
%defattr(-,root,root)
%{_bindir}/%{shortname}
%{_datadir}/%{shortname}
%{_datadir}/pixmaps/%{shortname}.*
%{_datadir}/applications/%{shortname}.desktop
%{_datadir}/doc/%{shortname}/*
%{_mandir}/man1/%{shortname}.*

%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Tue Nov 13 2018 adrianomorselli <adrianomorselli> 3.1.2.71-1uplos2018
- Git snapshot source from AUR/Gentoo with patches
- Updated build for PCLinuxOS
